<?php

class cVenta{

	function mostrar_filtro($fec1,$fec2,$doc_id,$cli_id,$est,$ven_id,$usu_id,$punven_id,$emp_id){

		$sql="SELECT * 

		FROM tb_venta v

		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id

		LEFT JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id

		LEFT JOIN tb_usuario u on v.tb_vendedor_id = u.tb_usuario_id

		

		WHERE tb_venta_xac=1

		AND v.tb_empresa_id=$emp_id

		AND tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";



		if($doc_id>0)$sql.=" AND v.tb_documento_id = $doc_id ";

		if($cli_id>0)$sql.=" AND v.tb_cliente_id = $cli_id ";

		if($est>0)$sql.=" AND tb_venta_est IN ($est) ";

		if($ven_id>0)$sql.=" AND v.tb_vendedor_id = $ven_id ";

		if($usu_id>0)$sql.=" AND v.tb_usuario_id = $usu_id ";

		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = $punven_id ";

		

		$sql.=" ORDER BY tb_venta_fec, tb_documento_nom, tb_venta_numdoc ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

	

	function mostrar_venta_detalle($ven_id){

		$sql="SELECT * 

		FROM tb_ventadetalle vd

		LEFT JOIN tb_catalogo ct ON vd.tb_catalogo_id = ct.tb_catalogo_id

		LEFT JOIN tb_presentacion pr ON ct.tb_presentacion_id = pr.tb_presentacion_id

		LEFT JOIN tb_producto p ON pr.tb_producto_id = p.tb_producto_id

		LEFT JOIN tb_marca m ON p.tb_marca_id = m.tb_marca_id

		LEFT JOIN tb_categoria cg ON p.tb_categoria_id = cg.tb_categoria_id

		LEFT JOIN tb_unidad un ON ct.tb_unidad_id_bas = un.tb_unidad_id 

		WHERE vd.tb_venta_id = $ven_id ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

	

}

?>